<html>
<head>
<title>OGRE: Ogre::ScriptLoader Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ScriptLoader.html">ScriptLoader</a></div>
<h1>Ogre::ScriptLoader Class Reference</h1><!-- doxytag: class="Ogre::ScriptLoader" -->Abstract class defining the interface used by classes which wish to perform script loading to define instances of whatever they manage.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreScriptLoader_8h-source.html">OgreScriptLoader.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ScriptLoader:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ScriptLoader-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptLoader.html#d7758f66fa9246639426f3044478f709">~ScriptLoader</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
<a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptLoader.html#78189fd757a233f34d5d272f76f6abf6">getScriptPatterns</a> (void) const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the file patterns which should be used to find scripts for this class.  <a href="#78189fd757a233f34d5d272f76f6abf6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptLoader.html#6bd73a15503c5cb29ed8b7e264e12293">parseScript</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parse a script file.  <a href="#6bd73a15503c5cb29ed8b7e264e12293"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptLoader.html#12af311e1399d48c02c57bb545b50497">getLoadingOrder</a> (void) const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the relative loading order of scripts of this type.  <a href="#12af311e1399d48c02c57bb545b50497"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract class defining the interface used by classes which wish to perform script loading to define instances of whatever they manage. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Typically classes of this type wish to either parse individual script files on demand, or be called with a group of files matching a certain pattern at the appropriate time. Normally this will coincide with resource loading, although the script use does not necessarily have to be a <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> (which subclasses from this class), it may be simply a script loader which manages non-resources but needs to be synchronised at the same loading points. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Subclasses should add themselves to the <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a> as a script loader if they wish to be called at the point a resource group is loaded, at which point the parseScript method will be called with each file which matches a the pattern returned from getScriptPatterns. </dd></dl>

<p>Definition at line <a class="el" href="OgreScriptLoader_8h-source.html#l00053">53</a> of file <a class="el" href="OgreScriptLoader_8h-source.html">OgreScriptLoader.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d7758f66fa9246639426f3044478f709"></a><!-- doxytag: member="Ogre::ScriptLoader::~ScriptLoader" ref="d7758f66fa9246639426f3044478f709" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ScriptLoader::~ScriptLoader           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="78189fd757a233f34d5d272f76f6abf6"></a><!-- doxytag: member="Ogre::ScriptLoader::getScriptPatterns" ref="78189fd757a233f34d5d272f76f6abf6" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&amp; Ogre::ScriptLoader::getScriptPatterns           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the file patterns which should be used to find scripts for this class. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called when a resource group is loaded if you use <a class="el" href="classOgre_1_1ResourceGroupManager.html#afd69be90e1774f2a4b34c4e6dcaa38a" title="Internal method for registering a ScriptLoader.">ResourceGroupManager::_registerScriptLoader</a>. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file patterns, in the order they should be searched in. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1OverlayManager.html#737c0c7db5f2d0049420c494129196c9">Ogre::OverlayManager</a>, <a class="el" href="classOgre_1_1ParticleSystemManager.html#be3232bc03e3922103cff68713975b62">Ogre::ParticleSystemManager</a>, and <a class="el" href="classOgre_1_1ResourceManager.html#37ec0e845f49b7f7e3dc868456ced1e8">Ogre::ResourceManager</a>.</p>

</div>
</div><p>
<a class="anchor" name="6bd73a15503c5cb29ed8b7e264e12293"></a><!-- doxytag: member="Ogre::ScriptLoader::parseScript" ref="6bd73a15503c5cb29ed8b7e264e12293" args="(DataStreamPtr &amp;stream, const String &amp;groupName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ScriptLoader::parseScript           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parse a script file. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>stream</em>&nbsp;</td><td>Weak reference to a data stream which is the source of the script </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupName</em>&nbsp;</td><td>The name of a resource group which should be used if any resources are created during the parse of this script. </td></tr>
  </table>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1CompositorManager.html#350a7cda7c7e63fa6d7243133b24c3f1">Ogre::CompositorManager</a>, <a class="el" href="classOgre_1_1FontManager.html#da6af0d588fd5c17f0f8f7904fa657a8">Ogre::FontManager</a>, <a class="el" href="classOgre_1_1MaterialManager.html#7e3d13469f80b5814e20f9f959384119">Ogre::MaterialManager</a>, <a class="el" href="classOgre_1_1OverlayManager.html#ceba4bfe36019ec756be252be387defc">Ogre::OverlayManager</a>, <a class="el" href="classOgre_1_1ParticleSystemManager.html#6f16f9bc2b124c7d051bee9c0b0a5ff0">Ogre::ParticleSystemManager</a>, and <a class="el" href="classOgre_1_1ResourceManager.html#8240f6bbf3449b1f2acdd476efbde821">Ogre::ResourceManager</a>.</p>

</div>
</div><p>
<a class="anchor" name="12af311e1399d48c02c57bb545b50497"></a><!-- doxytag: member="Ogre::ScriptLoader::getLoadingOrder" ref="12af311e1399d48c02c57bb545b50497" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::ScriptLoader::getLoadingOrder           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the relative loading order of scripts of this type. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>There are dependencies between some kinds of scripts, and to enforce this all implementors of this interface must define a loading order. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A value representing the relative loading order of these scripts compared to other script users, where higher values load later. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1OverlayManager.html#0fe98c5950e94bb2bbad458d751e817e">Ogre::OverlayManager</a>, <a class="el" href="classOgre_1_1ParticleSystemManager.html#acabac2c2f38df11a51972c215645752">Ogre::ParticleSystemManager</a>, and <a class="el" href="classOgre_1_1ResourceManager.html#917b69fbaf300dcb0488d14d357296df">Ogre::ResourceManager</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptLoader_8h-source.html">OgreScriptLoader.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:32 2008
</p>
</body>
</html>
